<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Notes</title>
    <style>
        
        h1{
            font-family:'Trebuchet MS';
            text-align: center;
        }

        table{
            margin: auto;
            border-collapse: collapse;
        }

        table th {
            text-align: center;
            background-color:coral;
            color:beige;
            padding: 4px 50px 4px 8px;
        }

        table td {
            padding: 4px 9px;
        }

        table tr:nth-child(odd) td{
            background-color:beige;
        }

        .btn-text-center{
	        text-align: center;	
        }

        button{
            background:coral;
            border: 0;
            padding: 8px 12px;
            border-radius: 30px;
            color: beige;
            cursor: pointer;
        }

        button:hover,
        button:focus{
            color: coral;
            background:beige;
        }
        button:active{
            background: rgb(243, 118, 73);
        }

    </style>
  </head>
  <body>
    
    <h1>A Message For You</h1>
    <table>
      <tr>
        <th>To</th>
        <th>From</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
      {% if notes %}
        {% for n in notes %}
          <tr>
            <td> {{ n.to }} </td>
            <td> {{ n.message_from }} </td>
            <td> {{n.title}} </td>
            <td> {{n.message}} </td>
          </tr>
        {% endfor %}
      {% endif %}
    </table>
    </br>
    <div class="btn-text-center">
        <button onclick="location.href='http://localhost:8000/lab-2/xml'" type="button" class="btn btn-primary"><b>XML</b></button>
        <button onclick="location.href='http://localhost:8000/lab-2/json'" type="button" class="btn btn-primary"><b>JSON</b></button>
    </div>
  </body>
</html>
